ntp not using expected servers

Bug #1645644 reported by Nobuto Murata on 2016-11-29
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

=== Begin SRU Template ===
[Impact]
Existing security permissions on /etc/ssh/sshd_config file not honored.

[Test Case]
if [ ! -f lxc-proposed-snapshot ]; then
  wget https://git.launchpad.net/~smoser/cloud-init/+git/sru-info/plain/bin/lxc-proposed-snapshot
  chmod 755 lxc-proposed-snapshot
fi

cat << EOF > config.yaml
#cloud-config
ntp:
  pools: [1.ntp.mypool]
  servers: [my.server.nonpool]
EOF

for release in xenial yakkety zesty; do
        ref=$release-proposed;
        echo "$release START --------------";
        ./lxc-proposed-snapshot --proposed --install ntp --publish $release $ref;
        lxc init $ref test-$release;
        lxc config set test-$release user.user-data - < config.yaml
        lxc start test-$release;
        sleep 10
        # Should not see [0-3].ubuntu.pool.n
        lxc exec test-$release -- ntpq -p
        echo "$release DONE --------------";
done

[Regression Potential]
Minimal ntp service confguration could be stale if this breaks anything.
It is minimal regression potential as the fix only reorders the creation of /etc/ntp.conf prior to the package intall and adds a call to service ntp restart.

[Other Info]

=== End SRU Template ===
Related bugs:
 * bug 1701297: NTP reload failure (unable to read library) on overlayfs

Related branches

Nobuto Murata (nobuto) wrote :

[/var/log/cloud-init.log]
Nov 28 14:01:34 ubuntu [CLOUDINIT] handlers.py[DEBUG]: start: modules-config/config-ntp: running config-ntp with frequency once-per-instance
Nov 28 14:01:34 ubuntu [CLOUDINIT] util.py[DEBUG]: Writing to /var/lib/cloud/instances/pdrrwx/sem/config_ntp - wb: [420] 25 bytes
Nov 28 14:01:34 ubuntu [CLOUDINIT] helpers.py[DEBUG]: Running config-ntp using lock (<FileLock using file '/var/lib/cloud/instances/pdrrwx/sem/config_ntp'>)
Nov 28 14:01:34 ubuntu [CLOUDINIT] util.py[DEBUG]: Writing to /var/lib/cloud/instances/pdrrwx/sem/update_sources - wb: [420] 25 bytes
Nov 28 14:01:34 ubuntu [CLOUDINIT] helpers.py[DEBUG]: Running update-sources using lock (<FileLock using file '/var/lib/cloud/instances/pdrrwx/sem/update_sources'>)
Nov 28 14:01:34 ubuntu [CLOUDINIT] util.py[DEBUG]: Running command ['eatmydata', 'apt-get', '--option=Dpkg::Options::=--force-confold', '--option=Dpkg::options::=--force-unsafe-io', '--assume-yes', '--quiet', 'update'] with allowed return codes [0] (shell=False, capture=False)
Nov 28 14:01:37 ubuntu [CLOUDINIT] util.py[DEBUG]: apt-update [eatmydata apt-get --option=Dpkg::Options::=--force-confold --option=Dpkg::options::=--force-unsafe-io --assume-yes --quiet update] took 2.717 seconds
Nov 28 14:01:37 ubuntu [CLOUDINIT] util.py[DEBUG]: Running command ['eatmydata', 'apt-get', '--option=Dpkg::Options::=--force-confold', '--option=Dpkg::options::=--force-unsafe-io', '--assume-yes', '--quiet', 'install', 'ntp'] with allowed return codes [0] (shell=False, capture=False)
Nov 28 14:01:42 ubuntu [CLOUDINIT] util.py[DEBUG]: apt-install [eatmydata apt-get --option=Dpkg::Options::=--force-confold --option=Dpkg::options::=--force-unsafe-io --assume-yes --quiet install ntp] took 5.093 seconds
Nov 28 14:01:42 ubuntu [CLOUDINIT] util.py[DEBUG]: Renaming /etc/ntp.conf to /etc/ntp.conf.dist
Nov 28 14:01:42 ubuntu [CLOUDINIT] util.py[DEBUG]: Reading from /etc/cloud/templates/ntp.conf.ubuntu.tmpl (quiet=False)
Nov 28 14:01:42 ubuntu [CLOUDINIT] util.py[DEBUG]: Read 2509 bytes from /etc/cloud/templates/ntp.conf.ubuntu.tmpl
Nov 28 14:01:42 ubuntu [CLOUDINIT] templater.py[DEBUG]: Rendering content of '/etc/cloud/templates/ntp.conf.ubuntu.tmpl' using renderer jinja
Nov 28 14:01:42 ubuntu [CLOUDINIT] util.py[DEBUG]: Writing to /etc/ntp.conf - wb: [420] 2329 bytes
Nov 28 14:01:42 ubuntu [CLOUDINIT] url_helper.py[DEBUG]: [0/1] open 'http://10.0.0.1/MAAS/metadata/status/pdrrwx' with {'allow_redirects': True, 'headers': {'Authorization': 'OAuth oauth_nonce="174133988014588674511480341702", oauth_timestamp="1480341702", oauth_version="1.0", oauth_signature_method="PLAINTEXT", oauth_consumer_key="hSstLrMK5QNpvSBdna", oauth_token="hUhc5cBa9eeekkNe3y", oauth_signature="%26wqdhtxdzRQcADcSMNmSVQtAjHXwgzKJX"'}, 'method': 'POST', 'url': 'http://10.0.0.1/MAAS/metadata/status/pdrrwx'} configuration
Nov 28 14:01:42 ubuntu [CLOUDINIT] url_helper.py[DEBUG]: Read from http://10.0.0.1/MAAS/metadata/status/pdrrwx (200, 2b) after 1 attempts
Nov 28 14:01:42 ubuntu [CLOUDINIT] handlers.py[DEBUG]: finish: modules-config/config-ntp: SUCCESS: config-ntp ran successfully

Nobuto Murata (nobuto) wrote :

[cloudinit/config/cc_ntp.py]
     89 install_ntp(cloud.distro.install_packages, packages=['ntp'],
     90 check_exe="ntpd")
     91 rename_ntp_conf()
     92 write_ntp_config_template(ntp_cfg, cloud)

Ryan Harper (raharper) wrote :

What ntp configuration do you provide in your vendor data?

Changed in cloud-init (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Nobuto Murata (nobuto) wrote :

@Ryan,
I used MAAS 2.1 since it puts its IP address as a local NTP server into the vendor data for MAAS nodes by default. I believe just deploying one mode using MAAS 2.1 reproduces the problem.

On Fri, Jan 6, 2017 at 9:28 AM, Nobuto Murata <email address hidden>
wrote:

> @Ryan,
> I used MAAS 2.1 since it puts its IP address as a local NTP server into
> the vendor data for MAAS nodes by default. I believe just deploying one
> mode using MAAS 2.1 reproduces the problem.
>

OK, thanks, I'll follow up with MAAS.

If you have access could you attach the /etc/ntp.conf file that's written
out ?
Also /var/lib/cloud/instance/vendor-data* ?

Thanks

>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1645644
>
> Title:
> ntp is not restarted after writing /etc/ntp.conf by cloud-init
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cloud-init/+bug/1645644/+subscriptions
>

summary: - ntp is not restarted after writing /etc/ntp.conf by cloud-init
+ ntp not using expected servers
Nobuto Murata (nobuto) wrote :

I don't have MAAS env right now at hand. But as I attached the log and the code above. /etc/ntp.conf and vendor data were correct. Just restarting the daemon by cloud-init was missing if I understand it correctly.

On Fri, Jan 6, 2017 at 10:13 AM, Nobuto Murata <email address hidden>
wrote:

> I don't have MAAS env right now at hand. But as I attached the log and
> the code above. /etc/ntp.conf and vendor data were correct. Just
> restarting the daemon by cloud-init was missing if I understand it
> correctly.
>

Ahh, interesting. I was initially confused about where the ntp.conf come
from but now
I can see the bug:

1) ntp is configured via vendor-data
2) cloud-init installs ntp
3) cloud-init moves default ntp.conf to ntp.conf.dist
4) cloud-init writes out the ntp.conf with values provided via ntp config
dictionary from vendor data

Running ntpq at this point will get results from ntpd which spawned after
package install. At the time
of package install, it used the packaged ntp.conf which did not have the
updated ntp.conf that was
rendered from config.

With that understanding, I agree that we should render the configuration
file before installing
the package so that ntpd will only use the servers/pools defined by the
vendor data.

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1645644
>
> Title:
> ntp not using expected servers
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cloud-init/+bug/1645644/+subscriptions
>

Ryan Harper (raharper) wrote :

Not a MAAS issue.

Changed in maas (Ubuntu):
status: New → Invalid
Changed in cloud-init (Ubuntu):
status: Incomplete → Confirmed
Ryan Harper (raharper) on 2017-01-11
Changed in cloud-init (Ubuntu):
status: Confirmed → In Progress
Ryan Harper (raharper) wrote :

I've uploaded a cloud-init test package to a ppa; you can test that this update fixes the ntp issue on an existing node.

On an affected node:

1. sudo add-apt-repository -y ppa:raharper/bugfixes
2. sudo apt update && sudo apt install cloud-init (#installs 0.7.9-6-gf5fdb6c-1~bddeb)
3. cat >user-data << EOF
#cloud-config

ntp:
  servers:
  - 17.16.18.19
  - 17.16.15.14
  pools:
  - 0.cloud-init.mypool
EOF
4. cloud-init --file user-data single --report --name ntp --frequency always
5. ntpq -p -w

You should see that ntp.conf has been updated with the supplied servers and pool, and that ntpq output shows those servers/pools.

Scott Moser (smoser) on 2017-01-12
Changed in cloud-init:
status: New → Confirmed
importance: Undecided → Medium
no longer affects: maas (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-144-g2825a917-0ubuntu1

---------------
cloud-init (0.7.9-144-g2825a917-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - flake8: move the pinned version of flake8 up to 3.3.0
    - tests: Apply workaround for snapd bug in test case. [Joshua Powers]
    - RHEL/CentOS: Fix dual stack IPv4/IPv6 configuration. [Andreas Karis]
      (LP: #1679817, #1685534, #1685532)
    - disk_setup: fix several issues with gpt disk partitions. (LP: #1692087)
    - function spelling & docstring update [Joshua Powers]
    - Fixing wrong file name regression. [Joshua Powers]
    - tox: move pylint target to 1.7.1
    - Fix get_interfaces_by_mac for empty macs (LP: #1692028)
    - DigitalOcean: remove routes except for the public interface.
      [Ben Howard] (LP: #1681531.)
    - netplan: pass macaddress, when specified, for vlans
      [Dimitri John Ledkov] (LP: #1690388)
    - doc: various improvements for the docs on cc_users_groups.
      [Felix Dreissig]
    - cc_ntp: write template before installing and add service restart
      [Ryan Harper] (LP: #1645644)
    - cloudstack: fix tests to avoid accessing /var/lib/NetworkManager
      [Lars Kellogg-Stedman]
    - tests: fix hardcoded path to mkfs.ext4 [Joshua Powers] (LP: #1691517)
    - Actually skip warnings when .skip file is present. [Chris Brinker]
      (LP: #1691551)
    - netplan: fix netplan render_network_state signature.
      [Dimitri John Ledkov] (LP: #1685944)
    - Azure: fix reformatting of ephemeral disks on resize to large types.
      (LP: #1686514)
    - Revert "tools/net-convert: fix argument order for render_network_state"
    - make deb: Add devscripts dependency for make deb. Cleanup packages/bddeb.
      [Chad Smith] (LP: #1685935)
    - tools/net-convert: fix argument order for render_network_state
      [Ryan Harper] (LP: #1685944)
    - openstack: fix log message copy/paste typo in _get_url_settings
      [Lars Kellogg-Stedman]
    - unittests: fix unittests run on centos [Joshua Powers]
    - Improve detection of snappy to include os-release and kernel cmdline.
      (LP: #1689944)
    - Add address to config entry generated by _klibc_to_config_entry.
      [Julien Castets] (LP: #1691135)
    - sysconfig: Raise ValueError when multiple default gateways are present.
      [Chad Smith] (LP: #1687485)
    - FreeBSD: improvements and fixes for use on Azure
      [Hongjiang Zhang] (LP: #1636345)
    - Add unit tests for ds-identify, fix Ec2 bug found.
    - fs_setup: if cmd is specified, use shell interpretation.
      [Paul Meyer] (LP: #1687712)
    - doc: document network configuration defaults policy and formats.
      [Ryan Harper]
    - Fix name of "uri" key in docs for "cc_apt_configure" module
      [Felix Dreissig]
    - tests: Enable artful [Joshua Powers]

 -- Scott Moser <email address hidden> Tue, 23 May 2017 17:04:40 -0400

Changed in cloud-init (Ubuntu):
status: In Progress → Fix Released
Scott Moser (smoser) on 2017-05-26
Changed in cloud-init (Ubuntu Xenial):
status: New → Confirmed
Changed in cloud-init (Ubuntu Yakkety):
status: New → Confirmed
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Zesty):
status: New → Confirmed
Changed in cloud-init (Ubuntu Xenial):
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Zesty):
importance: Undecided → Medium
Changed in cloud-init:
status: Confirmed → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Thank you for uploading this stable release update! To ease the SRU review process and later package validation, could you please update the bug description to include the relevant SRU information [1]?

[1] https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template

Chad Smith (chad.smith) on 2017-06-01
description: updated
Chad Smith (chad.smith) on 2017-06-01
description: updated

Hello Nobuto, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-153-g16a7302f-0ubuntu1~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Zesty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Nobuto, or anyone else affected,

Accepted cloud-init into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-153-g16a7302f-0ubuntu1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Nobuto, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-153-g16a7302f-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Xenial):
status: Confirmed → Fix Committed
Chad Smith (chad.smith) wrote :

Ran the above SRU script and mypool setup showed in all cases

Creating test-xenial
     remote refid st t when poll reach delay offset jitter
==============================================================================
 1.ntp.mypool .POOL. 16 p - 64 0 0.000 0.000 0.000
xenial DONE --------------

reating test-yakkety
     remote refid st t when poll reach delay offset jitter
==============================================================================
 1.ntp.mypool .POOL. 16 p - 64 0 0.000 0.000 0.000
yakkety DONE --------------

Creating test-zesty
zesty START --------
...
remote refid st t when poll reach delay offset jitter
==============================================================================
 1.ntp.mypool .POOL. 16 p - 64 0 0.000 0.000 0.000
zesty DONE --------------

tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package cloud-init - 0.7.9-153-g16a7302f-0ubuntu1~17.04.1

---------------
cloud-init (0.7.9-153-g16a7302f-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - net: fix reading and rendering addresses in cidr format.
      [Dimitri John Ledkov] (LP: #1689346, #1684349)
    - disk_setup: udev settle before attempting partitioning or fs creation.
      (LP: #1692093)
    - GCE: Update the attribute used to find instance SSH keys.
      [Daniel Watkins] (LP: #1693582)
    - nplan: For bonds, allow dashed or underscore names of keys.
      [Dimitri John Ledkov] (LP: #1690480)
    - tests: python2.6: fix unit tests usage of assertNone and format.
    - tests: update docstring on test_configured_list_with_none
    - fix tools/ds-identify to not write None twice.
    - tox/build: do not package depend on style requirements.
    - tests: ntp: Restructure cc_ntp unit tests. [Chad Smith]
    - flake8: move the pinned version of flake8 up to 3.3.0
    - tests: Apply workaround for snapd bug in test case. [Joshua Powers]
    - RHEL/CentOS: Fix dual stack IPv4/IPv6 configuration. [Andreas Karis]
    - disk_setup: fix several issues with gpt disk partitions. (LP: #1692087)
    - function spelling & docstring update [Joshua Powers]
    - tests: Fix unittest bug in ntp tests. [Joshua Powers]
    - tox: move pylint target to 1.7.1
    - Fix get_interfaces_by_mac for empty macs (LP: #1692028)
    - DigitalOcean: remove routes except for the public interface.
      [Ben Howard] (LP: #1681531.)
    - netplan: pass macaddress, when specified, for vlans
      [Dimitri John Ledkov] (LP: #1690388)
    - doc: various improvements for the docs on cc_users_groups.
      [Felix Dreissig]
    - cc_ntp: write template before installing and add service restart
      [Ryan Harper] (LP: #1645644)
    - tests: fix cloudstack unit tests to avoid accessing
      /var/lib/NetworkManager [Lars Kellogg-Stedman]
    - tests: fix hardcoded path to mkfs.ext4 [Joshua Powers] (LP: #1691517)
    - Actually skip warnings when .skip file is present.
      [Chris Brinker] (LP: #1691551)
    - netplan: fix netplan render_network_state signature.
      [Dimitri John Ledkov] (LP: #1685944)
    - Azure: fix reformatting of ephemeral disks on resize to large types.
      (LP: #1686514)
    - make deb: Add devscripts dependency for make deb.
      Cleanup packages/bddeb. [Chad Smith] (LP: #1685935)
    - openstack: fix log message copy/paste typo in _get_url_settings
      [Lars Kellogg-Stedman]
    - unittests: fix unittests run on centos [Joshua Powers]
    - Improve detection of snappy to include os-release and kernel cmdline.
      (LP: #1689944)
    - Add address to config entry generated by _klibc_to_config_entry.
      [Julien Castets] (LP: #1691135)
    - sysconfig: Raise ValueError when multiple default gateways are present.
      [Chad Smith] (LP: #1687485)
    - FreeBSD: improvements and fixes for use on Azure
      [Hongjiang Zhang] (LP: #1636345)
    - Add unit tests for ds-identify, fix Ec2 bug found.
    - fs_setup: if cmd is specified, use shell interpretation.
      [Paul Meyer] (LP: #1687712)
    - doc: document network c...

Read more...

Changed in cloud-init (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package cloud-init - 0.7.9-153-g16a7302f-0ubuntu1~16.10.1

---------------
cloud-init (0.7.9-153-g16a7302f-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot.
    - net: fix reading and rendering addresses in cidr format.
      [Dimitri John Ledkov] (LP: #1689346, #1684349)
    - disk_setup: udev settle before attempting partitioning or fs creation.
      (LP: #1692093)
    - GCE: Update the attribute used to find instance SSH keys.
      [Daniel Watkins] (LP: #1693582)
    - nplan: For bonds, allow dashed or underscore names of keys.
      [Dimitri John Ledkov] (LP: #1690480)
    - tests: python2.6: fix unit tests usage of assertNone and format.
    - tests: update docstring on test_configured_list_with_none
    - fix tools/ds-identify to not write None twice.
    - tox/build: do not package depend on style requirements.
    - tests: ntp: Restructure cc_ntp unit tests. [Chad Smith]
    - flake8: move the pinned version of flake8 up to 3.3.0
    - tests: Apply workaround for snapd bug in test case. [Joshua Powers]
    - RHEL/CentOS: Fix dual stack IPv4/IPv6 configuration. [Andreas Karis]
    - disk_setup: fix several issues with gpt disk partitions. (LP: #1692087)
    - function spelling & docstring update [Joshua Powers]
    - tests: Fix unittest bug in ntp tests. [Joshua Powers]
    - tox: move pylint target to 1.7.1
    - Fix get_interfaces_by_mac for empty macs (LP: #1692028)
    - DigitalOcean: remove routes except for the public interface.
      [Ben Howard] (LP: #1681531.)
    - netplan: pass macaddress, when specified, for vlans
      [Dimitri John Ledkov] (LP: #1690388)
    - doc: various improvements for the docs on cc_users_groups.
      [Felix Dreissig]
    - cc_ntp: write template before installing and add service restart
      [Ryan Harper] (LP: #1645644)
    - tests: fix cloudstack unit tests to avoid accessing
      /var/lib/NetworkManager [Lars Kellogg-Stedman]
    - tests: fix hardcoded path to mkfs.ext4 [Joshua Powers] (LP: #1691517)
    - Actually skip warnings when .skip file is present.
      [Chris Brinker] (LP: #1691551)
    - netplan: fix netplan render_network_state signature.
      [Dimitri John Ledkov] (LP: #1685944)
    - Azure: fix reformatting of ephemeral disks on resize to large types.
      (LP: #1686514)
    - make deb: Add devscripts dependency for make deb.
      Cleanup packages/bddeb. [Chad Smith] (LP: #1685935)
    - openstack: fix log message copy/paste typo in _get_url_settings
      [Lars Kellogg-Stedman]
    - unittests: fix unittests run on centos [Joshua Powers]
    - Improve detection of snappy to include os-release and kernel cmdline.
      (LP: #1689944)
    - Add address to config entry generated by _klibc_to_config_entry.
      [Julien Castets] (LP: #1691135)
    - sysconfig: Raise ValueError when multiple default gateways are present.
      [Chad Smith] (LP: #1687485)
    - FreeBSD: improvements and fixes for use on Azure
      [Hongjiang Zhang] (LP: #1636345)
    - Add unit tests for ds-identify, fix Ec2 bug found.
    - fs_setup: if cmd is specified, use shell interpretation.
      [Paul Meyer] (LP: #1687712)
    - doc: document network...

Read more...

Changed in cloud-init (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package cloud-init - 0.7.9-153-g16a7302f-0ubuntu1~16.04.1

---------------
cloud-init (0.7.9-153-g16a7302f-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - net: fix reading and rendering addresses in cidr format.
      [Dimitri John Ledkov] (LP: #1689346, #1684349)
    - disk_setup: udev settle before attempting partitioning or fs creation.
      (LP: #1692093)
    - GCE: Update the attribute used to find instance SSH keys.
      [Daniel Watkins] (LP: #1693582)
    - nplan: For bonds, allow dashed or underscore names of keys.
      [Dimitri John Ledkov] (LP: #1690480)
    - tests: python2.6: fix unit tests usage of assertNone and format.
    - tests: update docstring on test_configured_list_with_none
    - fix tools/ds-identify to not write None twice.
    - tox/build: do not package depend on style requirements.
    - tests: ntp: Restructure cc_ntp unit tests. [Chad Smith]
    - flake8: move the pinned version of flake8 up to 3.3.0
    - tests: Apply workaround for snapd bug in test case. [Joshua Powers]
    - RHEL/CentOS: Fix dual stack IPv4/IPv6 configuration. [Andreas Karis]
    - disk_setup: fix several issues with gpt disk partitions. (LP: #1692087)
    - function spelling & docstring update [Joshua Powers]
    - tests: Fix unittest bug in ntp tests. [Joshua Powers]
    - tox: move pylint target to 1.7.1
    - Fix get_interfaces_by_mac for empty macs (LP: #1692028)
    - DigitalOcean: remove routes except for the public interface.
      [Ben Howard] (LP: #1681531.)
    - netplan: pass macaddress, when specified, for vlans
      [Dimitri John Ledkov] (LP: #1690388)
    - doc: various improvements for the docs on cc_users_groups.
      [Felix Dreissig]
    - cc_ntp: write template before installing and add service restart
      [Ryan Harper] (LP: #1645644)
    - tests: fix cloudstack unit tests to avoid accessing
      /var/lib/NetworkManager [Lars Kellogg-Stedman]
    - tests: fix hardcoded path to mkfs.ext4 [Joshua Powers] (LP: #1691517)
    - Actually skip warnings when .skip file is present.
      [Chris Brinker] (LP: #1691551)
    - netplan: fix netplan render_network_state signature.
      [Dimitri John Ledkov] (LP: #1685944)
    - Azure: fix reformatting of ephemeral disks on resize to large types.
      (LP: #1686514)
    - make deb: Add devscripts dependency for make deb.
      Cleanup packages/bddeb. [Chad Smith] (LP: #1685935)
    - openstack: fix log message copy/paste typo in _get_url_settings
      [Lars Kellogg-Stedman]
    - unittests: fix unittests run on centos [Joshua Powers]
    - Improve detection of snappy to include os-release and kernel cmdline.
      (LP: #1689944)
    - Add address to config entry generated by _klibc_to_config_entry.
      [Julien Castets] (LP: #1691135)
    - sysconfig: Raise ValueError when multiple default gateways are present.
      [Chad Smith] (LP: #1687485)
    - FreeBSD: improvements and fixes for use on Azure
      [Hongjiang Zhang] (LP: #1636345)
    - Add unit tests for ds-identify, fix Ec2 bug found.
    - fs_setup: if cmd is specified, use shell interpretation.
      [Paul Meyer] (LP: #1687712)
    - doc: document network ...

Read more...

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released
Scott Moser (smoser) on 2017-07-11
description: updated

This bug is believed to be fixed in cloud-init in 17.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers